Bug 1909753 - Electrum missing dependency on python3-pycryptodomex
Summary: Electrum missing dependency on python3-pycryptodomex
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: electrum
Version: 33
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Timothy Redaelli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-21 14:49 UTC by Artem S. Tashkinov
Modified: 2021-03-01 17:01 UTC (History)
2 users (show)

Fixed In Version: electrum-4.0.9-3.fc33
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-01 17:01:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Artem S. Tashkinov 2020-12-21 14:49:26 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Artem S. Tashkinov 2020-12-21 14:51:40 UTC
Description of problem:

$ electrum 
Error: at least one of ('pycryptodomex', 'cryptography') needs to be installed.

Version-Release number of selected component (if applicable):  electrum-4.0.7-2.fc33.noarch


Additional info: please add python3-pycryptodomex as a dependency because python3-cryptography has three mode dependencies of its own (python3-cffi, python3-ply, python3-pycparser).

Comment 2 RedHat-User 2021-02-20 20:17:10 UTC
I encountered the same problem.  After installing electrum:



$ sudo dnf install electrum
{...}
================================================================================
 Package                               Arch   Version             Repo     Size
================================================================================
Installing:
 electrum                              noarch 4.0.7-2.fc33        updates 3.3 M
Installing dependencies:
 assimp                                x86_64 3.3.1-26.fc33       fedora  1.8 M
 fontawesome-fonts                     noarch 1:4.7.0-10.fc33     fedora  206 k
 fontawesome-fonts-web                 noarch 1:4.7.0-10.fc33     fedora  421 k
 google-roboto-slab-fonts              noarch 1.100263-0.14.20150923git.fc33
                                                                  fedora  241 k
 libsass                               x86_64 3.6.4-2.fc33        fedora  707 k
 libsecp256k1                          x86_64 0.21.12-4.fc33      fedora  116 k
 minizip-compat                        x86_64 1.2.11-23.fc33      updates  31 k
 poly2tri                              x86_64 0.0-21.20130501hg26242d0aa7b8.fc33
                                                                  fedora   31 k
 pypy                                  x86_64 7.3.1-2.fc33        fedora   12 k
 pypy-libs                             x86_64 7.3.1-2.fc33        fedora   19 M
 pypy3                                 x86_64 7.3.1-3.fc33        fedora   10 M
 pypy3-libs                            x86_64 7.3.1-3.fc33        fedora  6.8 M
 python-qt5-rpm-macros                 noarch 5.15.0-4.fc33       updates  10 k
 python-wheel-wheel                    noarch 1:0.34.2-1.fc33     fedora   33 k
 python3-QtPy                          noarch 1.9.0-5.fc33        fedora   95 k
 python3-aiohttp                       x86_64 3.6.2-5.fc33        fedora  354 k
 python3-aiohttp-socks                 noarch 0.5.3-1.fc33        updates  57 k
 python3-aiorpcx                       noarch 0.18.4-2.fc33       fedora   67 k
 python3-appdirs                       noarch 1.4.3-15.fc33       fedora   22 k
 python3-async-timeout                 noarch 3.0.1-10.fc33       fedora   19 k
 python3-babel                         noarch 2.8.1-1.fc33        updates 5.7 M
 python3-bitstring                     noarch 3.1.7-3.fc33        fedora   88 k
 python3-certifi                       noarch 2020.6.20-1.fc33    fedora   16 k
 python3-distlib                       noarch 0.3.1-2.fc33        fedora  187 k
 python3-dns                           noarch 2.0.0-1.fc33        fedora  258 k
 python3-docutils                      noarch 0.16-3.fc33         fedora  1.5 M
 python3-filelock                      noarch 3.0.12-8.fc33       fedora   22 k
 python3-helpdev                       noarch 0.6.10-5.fc33       fedora   28 k
 python3-imagesize                     noarch 1.2.0-2.fc33        fedora   17 k
 python3-jinja2                        noarch 2.11.3-1.fc33       updates 492 k
 python3-libsass                       x86_64 0.20.0-2.fc33       fedora   96 k
 python3-m2r                           noarch 0.2.0-11.fc33       fedora   27 k
 python3-markupsafe                    x86_64 1.1.1-7.fc33        fedora   32 k
 python3-mistune                       x86_64 0.8.3-13.fc33       fedora  187 k
 python3-multidict                     x86_64 4.7.6-3.fc33        fedora   58 k
 python3-packaging                     noarch 20.4-2.fc33         fedora   67 k
 python3-pathtools                     noarch 0.1.2-22.fc33       fedora  155 k
 python3-pluggy                        noarch 0.13.1-2.fc33       fedora   38 k
 python3-protobuf                      noarch 3.12.4-1.fc33       fedora  596 k
 python3-psutil                        x86_64 5.7.2-2.fc33        fedora  396 k
 python3-py                            noarch 1.10.0-1.fc33       updates 434 k
 python3-pycares                       x86_64 3.1.1-4.fc33        fedora   88 k
 python3-pygments                      noarch 2.6.1-5.fc33        updates 1.8 M
 python3-pyqt5-sip                     x86_64 4.19.24-1.fc33      fedora   97 k
 python3-pyside2                       x86_64 1:5.15.2-1.fc33     updates 9.2 M
 python3-qdarkstyle                    noarch 2.8-3.fc33          fedora  309 k
 python3-qrcode-core                   noarch 6.1-7.fc33          fedora   50 k
 python3-qt5-base                      x86_64 5.15.0-4.fc33       updates 3.3 M
 python3-qtsass                        noarch 0.1.1-3.fc33        fedora   27 k
 python3-shiboken2                     x86_64 1:5.15.2-1.fc33     updates 218 k
 python3-snowballstemmer               noarch 1.9.0-7.fc33        fedora  149 k
 python3-sphinx                        noarch 1:3.2.1-1.fc33      fedora  2.0 M
 python3-sphinx-theme-alabaster        noarch 0.7.12-10.fc33      fedora   24 k
 python3-sphinx_rtd_theme              noarch 0.4.3-14.fc33       fedora  3.2 M
 python3-sphinxcontrib-applehelp       noarch 1.0.2-2.fc33        fedora   34 k
 python3-sphinxcontrib-devhelp         noarch 1.0.2-2.fc33        fedora   29 k
 python3-sphinxcontrib-htmlhelp        noarch 1.0.3-2.fc33        fedora   37 k
 python3-sphinxcontrib-jsmath          noarch 1.0.1-9.fc33        fedora   16 k
 python3-sphinxcontrib-qthelp          noarch 1.0.3-2.fc33        fedora   33 k
 python3-sphinxcontrib-serializinghtml noarch 1.1.4-2.fc33        fedora   32 k
 python3-toml                          noarch 0.10.2-1.fc33       updates  39 k
 python3-tox                           noarch 3.19.0-1.fc33       fedora  167 k
 python3-virtualenv                    noarch 20.0.30-1.fc33      fedora  221 k
 python3-watchdog                      noarch 0.10.2-3.fc33       fedora  102 k
 python3-yarl                          x86_64 1.5.1-1.fc33        fedora  129 k
 qt5-qt3d                              x86_64 5.15.2-2.fc33       updates 2.1 M
 qt5-qtcharts                          x86_64 5.15.2-2.fc33       updates 646 k
 qt5-qtimageformats                    x86_64 5.15.2-2.fc33       updates  99 k
 qt5-qtremoteobjects                   x86_64 5.15.2-2.fc33       updates 367 k
 qt5-qtscxml                           x86_64 5.15.2-2.fc33       updates 285 k
 qt5-qtserialport                      x86_64 5.15.2-2.fc33       updates  66 k
 qt5-qtwebengine                       x86_64 5.15.2-8.fc33       updates  50 M
 qt5-qtxmlpatterns                     x86_64 5.15.2-2.fc33       updates 1.0 M
 re2                                   x86_64 1:20190801-5.fc33   fedora  159 k
Installing weak dependencies:
 pypy-devel                            x86_64 7.3.1-2.fc33        fedora   66 k
 pypy3-devel                           x86_64 7.3.1-3.fc33        fedora   58 k
 python3-aiodns                        noarch 2.0.0-6.fc33        updates  17 k
 python3.5                             x86_64 3.5.10-1.fc33       fedora   16 M
 python3.6                             x86_64 3.6.13-1.fc33       updates  16 M
 python3.7                             x86_64 3.7.10-1.fc33       updates  19 M
 python3.8                             x86_64 3.8.7-2.fc33        updates  16 M
Transaction Summary
================================================================================
Install  82 Packages
Total download size: 197 M
Installed size: 889 M
{...}

...I tried starting it up via my window manager's Internet --> Electrum icon.  After a few seconds of nothing happening, I went to a command line and saw the same thing as Artem:



$ electrum 
Error: at least one of ('pycryptodomex', 'cryptography') needs to be installed.

Comment 3 Fedora Update System 2021-02-21 00:42:14 UTC
FEDORA-2021-85a67a1e1a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-85a67a1e1a

Comment 4 Fedora Update System 2021-03-01 17:01:20 UTC
FEDORA-2021-85a67a1e1a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.